Gstreamer 1.0 VS 2010

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Gstreamer 1.0 VS 2010

SergioBasurco
Hi, I'm trying to use version 1.0 for some VS projects, I'm trying to run this simple example:

Chapter 4. Initializing GStreamer

It builds but I get this error:
Could not find entry point for g_array_set_clear_func in the dynamic link library libglib-2.0-0.dll.

Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.0 VS 2010

SergioBasurco
Update:
I had version 0.10.6 installed, removing it resolved the problem. I thought 0.10 and 1.0 were fully compatible.

I was using this 0.10 build: 0.10 OSS WinBuild and the latest 1.0 release from http://gstreamer.freedesktop.org/pkg/windows/ (version 1.0.8).

I don't know if this could be a bug.
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.0 VS 2010

Kim Lam
Hello

It's unlikely a bug, but more an issue with environment variables and
paths pointing to the wrong locations.

Kim

On 2013-07-31 3:30 AM, SergioBasurco wrote:

> Update:
> I had version 0.10.6 installed, removing it resolved the problem. I thought
> 0.10 and 1.0 were fully compatible.
>
> I was using this 0.10 build:  0.10 OSS WinBuild
> <https://code.google.com/p/ossbuild/downloads/detail?name=GStreamer-WinBuilds-GPL-x86.msi>
> and the latest 1.0 release from
> http://gstreamer.freedesktop.org/pkg/windows/
> <http://gstreamer.freedesktop.org/pkg/windows/>   (version 1.0.8).
>
> I don't know if this could be a bug.
>
>
>
> --
> View this message in context: http://gstreamer-devel.966125.n4.nabble.com/Gstreamer-1-0-VS-2010-tp4661357p4661364.html
> Sent from the GStreamer-devel mailing list archive at Nabble.com.
> _______________________________________________
> gstreamer-devel mailing list
> [hidden email]
> http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.0 VS 2010

Andoni Morales
In reply to this post by SergioBasurco



2013/7/31 SergioBasurco <[hidden email]>
Update:
I had version 0.10.6 installed, removing it resolved the problem. I thought
0.10 and 1.0 were fully compatible.

I was using this 0.10 build:  0.10 OSS WinBuild
<https://code.google.com/p/ossbuild/downloads/detail?name=GStreamer-WinBuilds-GPL-x86.msi>
and the latest 1.0 release from
http://gstreamer.freedesktop.org/pkg/windows/
<http://gstreamer.freedesktop.org/pkg/windows/>   (version 1.0.8).

I don't know if this could be a bug.

The 2 versions can be installed at the same time, but you need to use binaries compiled with the same compiler and the same dependencies. The OSSbuild version uses a different compiler and older dependencies. The OSSbuild installer also adds the installation path to the PATH env variable so the dll's from this installation are picked first instead of the ones from the 1.0 install and this is why you get the issue with glib.

Cheers,
Andoni 



--
View this message in context: http://gstreamer-devel.966125.n4.nabble.com/Gstreamer-1-0-VS-2010-tp4661357p4661364.html
Sent from the GStreamer-devel mailing list archive at Nabble.com.
_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel



--
Andoni Morales Alastruey

LongoMatch:The Digital Coach
http://www.longomatch.ylatuya.es

_______________________________________________
gstreamer-devel mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/gstreamer-devel